/**
 *  Grumpy Al
 *  @author Drakkos
 *  @started 12/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 */

#include "path.h"
#include <armoury.h>

inherit "/obj/monster";

void setup_components();
void fire_in_the_hole (object, object);

void setup() {
  
  set_name ("al");
  set_short ("Grumpy Al");
  
  add_property ("determinate", "");
  add_property ("unique", 1);
  
  add_adjective ("grumpy");
  
  add_alias ("grumpy");
  
  set_gender (1);

  set_long ("Grumpy Al is an ex-wizard, in that he no longer studies at "
    "Unseen University.  However, his love of food and of petty "
    "bureaucratic politics has not departed.  Thus, having no effective "
    "outlet to enjoy either of his passions, he has just become grumpy.\n");
    
  basic_setup ("human", "wizard", 150 + random (100));

  setup_nationality ("/std/nationality/genua", "genua");

    
  load_chat(10, ({ 
    1, "' Oh, go away.",
    1, "' Why can't you leave me in peace?",
    1, ({
      500,
      "' I wrote a nastily worded memo to Stabby the other day.",
      "' He didn't read it.",
      "' I'm not sure he can read.",
    })
  }));

  load_a_chat(20, ({ 
    1, "' I'll stick my boot up yer backside!",
    1, "' When I kill you, I'm going to eat you!",
    1, "' Arr num num num!",
  }));
 
  add_spell ("flowers", "/obj/spells/flowers.c", 0);
  add_spell ("bunnies", "/obj/spells/fire_bunny.c", 0);
  
  add_combat_action (15, "cast_spell", (: fire_in_the_hole :) );

  add_skill_level ("magic", 200);
              
  request_item ("blue silk robe", 100);
  request_item ("black silk underwear", 100);
  request_item ("crooked staff", 100);
  
  setup_components();
  
  init_equip();
}

void setup_components() {
    int num_to_clone;
    object satchel;
    object carrot;

    num_to_clone = 8 + random (5);
    
    request_item ("torch", 100);
 
    satchel = request_item ("large satchel", 100);
     
    for (int num_carrots = 0; num_carrots < num_to_clone; num_carrots++) {
        carrot = ARMOURY->request_item ("carrot");
        carrot->do_cure();
        carrot->move (satchel);       
    }
}

void fire_in_the_hole (object attacker, object target) {
    tell_creator ("drakkos", "%O, %O", attacker, target);
    
    do_command ("get carrot from satchel");
    do_command ("' Light them up!");
    do_command ("cast bunnies on " + file_name (attacker));
        
}
