/**
 *  Learnville Street Room
 *  @author Drakkos
 *  @started 08/10/2008
 *
 *  If you change this file, please also update it in LPC for Dummies.
 *
 */

#include "path.h"

inherit "/std/room/outside";

int do_hate();
int do_consult();

mapping previous_responses = ([ ]);

void setup() {
  set_short ("northeast corner of the marketplace");
  add_property ("determinate", "the ");
   
  set_day_long ("This is the northeast corner of the marketplace.  "
    "A magic hate ball is mounted on a plinth, attached by a chain.  "
    "Sunlight glints on its malevolent surface.\n");
  set_night_long ("This is the northeast corner of the marketplace.  "
    "A magic hate ball is mounted on a plinth, attached by a chain.  "
    "Starling glints on its malevolent surface.\n");

  add_item ("magic hate ball",
    ({  
        "long", "The magic hate ball gives wisdom when you shake it!",
        "shake", (: do_hate :),
        "consult", (: do_consult :),
    })
  );

  set_light (100);
 
  add_zone ("learnville"); 

  add_exit ("north", ROOMS + "stabby_joe", "door");
  add_exit ("south", ROOMS + "market_southeast", "path");
  add_exit ("east", ROOMS + "bitter_pill", "door");
  add_exit ("west", ROOMS + "market_northwest", "path");
  add_exit ("southwest", ROOMS + "market_southwest", "path");

  // We use this to remove an exit from the list of obvious exits 
  // in a room.  In this case, although the southwest exit still 
  // exists, it won't be listed as an exit.
  modify_exit ("southwest", ({"obvious", 0}));

  // We use the linker to allow the movement of someone on a 
  // different part of the area to be reported to people in 
  // this room.  It gives a more 'busy' feel to an area.  When 
  // choosing the rooms to add to the linker we add every room
  // that should be part of the area, except the room in which 
  // we're adding the code.  
  set_linker ( ({ 
    ROOMS + "market_northwest",
    ROOMS + "market_southwest",
    ROOMS + "market_southeast",
  }) );

}

int do_hate() {
  string response;
  string player;
  string *random_responses = ({
    "Shut up and die.",
    "I slept with your wife.",
    "Suicide is your only option.",
    "Everyone hates you.",
    "You suck.",
  });
  
  player = this_player()->query_name();
  
  response = previous_responses[player];
  
  if (!response) {
    response = element_of (random_responses);
    previous_responses[player] = response;
    tell_object (this_player(), "The magic hate ball says: " + response + "\n");
  }
  else {
    tell_object (this_player(), "The magic hate ball says:  I already "
      "told you:  " + response + "\n");
  }

      
  return 1;
  
}

int do_consult() {
  string key, value;
  
  if (sizeof (previous_responses) == 0) {
    tell_object (this_player(), "No-one was told anything.  Now curl up "
      "and die.\n");
  }
  else {  
    foreach (key,value in previous_responses) {
      tell_object (this_player(), key + " was told '" + value + "'\n");
    }
  }
  
  return 1;
}